// --- [ global.h ] -----------------------------------------------------------

#define LED_PORT	PORTD
#define LED_DDR	DDRD
#define LEDs 		3                 // hier die Anzahl der LED's eintragen

#define LED0		0                 // PD0 ist RxD, wird fr die serielle Schnittstelle bentigt
#define LED1		1<<PD1            // hier wird festgelegt, welche LED wo angeschlossen ist
#define LED2		1<<PD2
#define LED3		1<<PD3
#define LED4		1<<PD4
#define LED5		1<<PD5
#define LED6		1<<PD6
#define LED7		1<<PD7

// um DDRD zu setzen:
#define LED_PINS	( LED7 | LED6 | LED5 | LED4 | LED3 | LED2 | LED1 | LED0 )

#define TWI_BUFFER_SIZE	12

#define FALSE 		0
#define TRUE  		1

//#define HIGHSIDE								// die LEDs sind gegen VCC geschaltet,
														// Pin = low -> LED = AN
														// Auskommentieren wenn nach gnd geschaltet
#ifndef EXTERN
#define EXTERN extern
#endif

EXTERN volatile uint8_t twi_idx;				// gemeinsame Variablen fr TWI und RS232
EXTERN volatile uint8_t rx_flag;
EXTERN uint8_t twi_buffer[TWI_BUFFER_SIZE];

EXTERN volatile uint8_t fading_activ;     // ber TWI kann der Stand eines fadings ausgelesen werden

// --- [ eof ] ----------------------------------------------------------------
