// --- [ rs232rx.c ] ----------------------------------------------------------

#include <avr/io.h>
#include <avr/interrupt.h>
#include "rs232rx.h"
#include "global.h"

// ----------------------------------------------------------------------------
//
void rs232_init(void)
{
UBRR0L = TEILER;
UBRR0H = 0;
//UCSR0B |= (1<<RXCIE0 | 0<<TXEN0 | 1<<RXEN0);
UCSR0B |= (1<<RXCIE0 | 0<<TXEN0 | 1<<RXEN0);
// UCSRC |= (1<<URSEL | 0<<UMSEL) | (1<<UCSZ1) | (1<<UCSZ0);
// URSEL - Achtung bei ATmega 8
UCSR0C |= (0<<UMSEL01) | (1<<UCSZ01) | (1<<UCSZ00);

twi_idx = 0;
}

// -----------------------------------------------------------------------------
// schreibt ein empfangenes Byte in das Array twi_buffer
ISR (USART_RX_vect)
{
twi_buffer[twi_idx++] = UDR0;
if (twi_idx > TWI_BUFFER_SIZE) twi_idx--;
rx_flag = TRUE;

}



/*
// ----------------------------------------------------------------------------
// ein einzelnes Zeichen auf COM ausgeben
void put_c(uint8_t Zeichen)
{
while(!(UCSR0A & (1<<UDRE0)));
UDR0 = Zeichen;
}



// ----------------------------------------------------------------------------
// einen String auf COM ausgeben
void put_s(char *s)
{
while(*s) put_c(*s++);
}
*/
// --- [ eof ] ----------------------------------------------------------------
